#!/bin/bash


###下载tomcat和JDK到opt目录
cd /opt
wget http://8.210.81.239/linux/tomcat/jdk-8u221-linux-x64.tar.gz
wget http://8.210.81.239/linux/tomcat/tomcat7-buyu-web.tar.gz
wget http://8.210.81.239/linux/tomcat/buyu-web.txt

tar zxf  tomcat7-buyu-web.tar.gz

###解压jdk
tar zxf jdk-8u221-linux-x64.tar.gz
mv  jdk1.8.0_221   jdk1.8.0
#mv jdk1.7.0_25  /opt/jdk1.7.0



###设置环境变量

java=`cat /etc/profile |grep JAVA_HOME |grep -v grep |wc -l `

if [ $java = 0 ];then


cat >>/etc/profile <<EOF
export JAVA_HOME=/opt/jdk1.8.0
export JRE_HOME=/opt/jdk1.8.0/jre
export PATH=\$PATH:/opt/jdk1.8.0/bin
export CLASSPATH=./:/opt/jdk1.8.0/lib:/opt/jdk1.8.0/jre/lib
EOF
cat >>/etc/security/limits.conf <<EOF
* soft nofile 65535
* hard nofile 65535
EOF
ulimit -SHn 51200


source  /etc/profile
else
echo "Already have the jave environment"
fi 

mkdir -p /opt/log/buyu
######添加系统服务#####
cp -f /opt/buyu-web.txt /etc/init.d/buyu-web

chmod +x /etc/init.d/buyu-web

rm -f /opt/tomcat7-buyu-web.tar.gz
rm -f  /opt/jdk-8u221-linux-x64.tar.gz
rm -f /opt/buyu-web.txt

echo "install success"



